import request from '@/utils/request'

// 查询渠道仓/逻辑仓库列表
export function wlistWarehouse(query) {
  return request({
    url: '/oms/warehouse/wlist',
    method: 'get',
    params: query
  })
}

// 查询仓库列表
export function listWarehouse(query) {
  return request({
    url: '/oms/warehouse/list',
    method: 'get',
    params: query
  })
}

// 查询仓库详细
export function getWarehouse(warehouseId) {
  return request({
    url: '/oms/warehouse/' + warehouseId,
    method: 'get'
  })
}

// 新增仓库
export function addWarehouse(data) {
  return request({
    url: '/oms/warehouse',
    method: 'post',
    data: data
  })
}

// 修改仓库
export function updateWarehouse(data) {
  return request({
    url: '/oms/warehouse',
    method: 'put',
    data: data
  })
}

// 删除仓库
export function delWarehouse(warehouseId) {
  return request({
    url: '/oms/warehouse/' + warehouseId,
    method: 'delete'
  })
}

// 导出仓库
export function exportWarehouse(query) {
  return request({
    url: '/oms/warehouse/export',
    method: 'get',
    params: query
  })
}

export function listWarehouseName(query) {
  return request({
    url: '/oms/warehouse/name',
    method: 'get',
    params: query
  })
}